org.restlet.util

## Class ClientList

- java.lang.Object
- - org.restlet.util.WrapperList<Client>
  - - org.restlet.util.ClientList

All Implemented Interfaces:
  java.lang.Iterable<Client>, java.util.Collection<Client>, java.util.List<Client>

    public final class ClientList
    extends WrapperList<Client>

Modifiable list of client connectors.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ClientList(Context context)` Constructor.

### Method Summary

Methods
`boolean` `add(Client client)` Adds a element at the end of the list.
`Client` `add(Protocol protocol)` Adds a new client connector in the map supporting the given protocol.
`Context` `getContext()` Returns the context.
`void` `setContext(Context context)` Sets the context.

### Methods inherited from class org.restlet.util.WrapperList

`add, addAll, addAll, clear, contains, containsAll, equals, get, getDelegate, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientList

    public ClientList(Context context)

Constructor.

Parameters:
  `context` - The context.

### Method Detail

#### add

    public boolean add(Client client)

Description copied from class: `WrapperList`
Adds a element at the end of the list.

Specified by:
  `add` in interface `java.util.Collection<Client>`
Specified by:
  `add` in interface `java.util.List<Client>`
Overrides:
  `add` in class `WrapperList<Client>`
Returns:
  True (as per the general contract of the Collection.add method).

#### add

    public Client add(Protocol protocol)

Adds a new client connector in the map supporting the given protocol.

Parameters:
  `protocol` - The connector protocol.
Returns:
  The added client.

#### getContext

    public Context getContext()

Returns the context.

Returns:
  The context.

#### setContext

    public void setContext(Context context)

Sets the context.

Parameters:
  `context` - The context.